Bug 57137 - plugins/embed-prefers-plugins-for-images.html fails on non-Apple platforms.
: plugins/embed-prefers-plugins-for-images.html fails on non-Apple platforms.
Status: REOPENED
: WebKit
New Bugs
: 528+ (Nightly build)
: Other Mac OS X 10.5
: P2 Normal
Assigned To:
:
: InRadar, LayoutTestFailure, PlatformOnly
:
:
  Show dependency treegraph
 
Reported: 2011-03-25 18:40 PST by
Modified: 2011-05-10 01:48 PST (History)


Attachments
Patch (3.47 KB, patch)
2011-04-30 14:06 PST, Robert Hogan
no flags Review Patch | Details | Formatted Diff | Diff
Patch (2.04 KB, patch)
2011-05-09 15:08 PST, Robert Hogan
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-03-25 18:40:20 PST
plugins/embed-prefers-plugins-for-images.html only passing on SnowLeopard.
------- Comment #1 From 2011-03-27 05:53:18 PST -------
For Chromium, this test is also failing on all platforms except WIN DEBUG (it just prints "FAIL").

Strangely, this test passes on WIN DEBUG. I don't know why...
------- Comment #2 From 2011-03-28 14:56:58 PST -------
Andy, do you know why this test fails everywhere but SnowLeopard? Having a little more information in this bug would be helpful.
------- Comment #3 From 2011-03-28 14:57:47 PST -------
Properly skipped on leopard in r82161.
------- Comment #4 From 2011-03-28 14:58:09 PST -------
(In reply to comment #2)
> Andy, do you know why this test fails everywhere but SnowLeopard? Having a little more information in this bug would be helpful.

I don't have an answer yet, but I'm actively working on it.
------- Comment #5 From 2011-03-28 17:49:26 PST -------
Note: it also fails in WebKit2 on Snow Leopard:

http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(WebKit2%20Tests)/r82173%20(10104)/plugins/embed-prefers-plugins-for-images-pretty-diff.html

I will check in the failing results for mac-wk2 snow-leopard soon.
------- Comment #6 From 2011-03-28 18:00:49 PST -------
(In reply to comment #5)
> Note: it also fails in WebKit2 on Snow Leopard:
> 
> http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(WebKit2%20Tests)/r82173%20(10104)/plugins/embed-prefers-plugins-for-images-pretty-diff.html
> 
> I will check in the failing results for mac-wk2 snow-leopard soon.

And by me, I mean Andy who will be able to tell if the mac-wk2 or the mac-snowleopard results are picked up.
------- Comment #7 From 2011-03-28 18:45:57 PST -------
(In reply to comment #5)
> Note: it also fails in WebKit2 on Snow Leopard:
> 
> http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(WebKit2%20Tests)/r82173%20(10104)/plugins/embed-prefers-plugins-for-images-pretty-diff.html
> 
> I will check in the failing results for mac-wk2 snow-leopard soon.

Done in r82182.
------- Comment #8 From 2011-03-28 21:22:00 PST -------
Fixed all Apple platforms in <http://trac.webkit.org/changeset/82187>. It's somewhat a mystery to me why it fails on other plugin-supporting platforms.
------- Comment #9 From 2011-03-28 21:37:18 PST -------
Skipped on non-Apple platforms in <http://trac.webkit.org/changeset/82188>.
------- Comment #10 From 2011-03-29 08:54:19 PST -------
This is still failing (and making the bots red) on SL Release WK2:

http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(WebKit2%20Tests)/r82252%20(10139)/results.html
------- Comment #11 From 2011-03-29 09:18:12 PST -------
<rdar://problem/9202488>
------- Comment #12 From 2011-03-29 20:42:16 PST -------
I can't find a revision on today's waterfall where it's failed (it only goes back to ~1300 at this point), and webkit-patch find-flaky-tests does not identify it as a flaky test over the last 200 revisions. I'm not sure why that test failed in r82252, but it is not consistently red on the bot. I'll keep an eye out for failures though.
------- Comment #13 From 2011-03-29 23:52:54 PST -------
All Chromium bots became green after r82187.
------- Comment #14 From 2011-03-29 23:59:08 PST -------
(In reply to comment #13)
> All Chromium bots became green after r82187.

Yay!
------- Comment #15 From 2011-03-30 06:13:31 PST -------
(In reply to comment #12)
> I can't find a revision on today's waterfall where it's failed (it only goes back to ~1300 at this point), and webkit-patch find-flaky-tests does not identify it as a flaky test over the last 200 revisions. I'm not sure why that test failed in r82252, but it is not consistently red on the bot. I'll keep an eye out for failures though.

FYI, there is a much easier way to see old builds described here: <http://trac.webkit.org/wiki/TriagingTestFailures#Findoutwheneachteststartedfailing>. Basically you add ?numbuilds=200 to any builder page.
------- Comment #16 From 2011-03-30 07:17:35 PST -------
This is still failing on WebKit2 today: http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20%28WebKit2%20Tests%29/r82432%20(10189)/plugins/embed-prefers-plugins-for-images-pretty-diff.html

I guess I'll check in expected failure results.
------- Comment #17 From 2011-03-30 08:02:23 PST -------
Since SnowLeopard WebKit2 is clearly an "Apple platform", I've filed bug 57456 to track it. It sounds like this bug can be closed.
------- Comment #18 From 2011-04-30 14:06:34 PST -------
Created an attachment (id=91805) [details]
Patch
------- Comment #19 From 2011-05-09 12:32:03 PST -------
Re-opening to commit qt/gtk fix.
------- Comment #20 From 2011-05-09 14:06:04 PST -------
The commit-queue encountered the following flaky tests while processing attachment 91805 [details]:

http/tests/misc/favicon-loads-with-icon-loading-override.html bug 58412 (author: alice.liu@apple.com)
http/tests/appcache/main-resource-hash.html bug 59902 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.
------- Comment #21 From 2011-05-09 14:09:31 PST -------
(From update of attachment 91805 [details])
Clearing flags on attachment: 91805

Committed r86086: <http://trac.webkit.org/changeset/86086>
------- Comment #22 From 2011-05-09 14:09:35 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #23 From 2011-05-09 14:48:40 PST -------
http://trac.webkit.org/changeset/86086 might have broken Qt Linux Release
The following tests are not passing:
plugins/plugin-javascript-access.html
------- Comment #24 From 2011-05-09 15:08:33 PST -------
Created an attachment (id=92860) [details]
Patch
------- Comment #25 From 2011-05-09 15:09:28 PST -------
Re-open to land rebaselined results.
------- Comment #26 From 2011-05-09 15:46:47 PST -------
The commit-queue encountered the following flaky tests while processing attachment 92860 [details]:

java/lc3/JavaObject/JavaObjectToByte-006.html bug 60333 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.
------- Comment #27 From 2011-05-09 15:48:01 PST -------
(From update of attachment 92860 [details])
Clearing flags on attachment: 92860

Committed r86096: <http://trac.webkit.org/changeset/86096>
------- Comment #28 From 2011-05-09 15:48:09 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #29 From 2011-05-09 17:21:17 PST -------
http://trac.webkit.org/changeset/86096 might have broken GTK Linux 64-bit Debug
------- Comment #30 From 2011-05-10 01:48:00 PST -------
Reopen, because it still fails on Qt Mac platform:

--- /buildbot/snowleopard-qt-release/snowleopard-qt-intel-release/build/layout-test-results/plugins/embed-prefers-plugins-for-images-expected.txt    2011-05-09 14:19:34.000000000 -0700
+++ /buildbot/snowleopard-qt-release/snowleopard-qt-intel-release/build/layout-test-results/plugins/embed-prefers-plugins-for-images-actual.txt    2011-05-09 14:19:34.000000000 -0700
@@ -1,4 +1,4 @@
 Test that WebKit will load a plug-in to render an image before rendering it natively.

-PASS
+FAIL

I added it to the qt-mac/Skipped list: http://trac.webkit.org/changeset/86138